POST
/tagResource
http://codestar-notifications.{region}.amazonaws.com/tagResourceAssociates a set of provided tags with a notification rule.
Access Token Required: API Key
Body Params
Arnstringrequired
The Amazon Resource Name (ARN) of the notification rule to tag.
Tagsobjectrequired
The list of tags to associate with the resource. Tag key names cannot start with "<code>aws</code>".
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://codestar-notifications.{region}.amazonaws.com/tagResource' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}